package com.willalp.canteen.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.common.core.domain.AjaxResult;
import com.willalp.canteen.domain.HsGiftOrder;

import java.util.List;

/**
 * 食堂订单Service接口
 *
 * @author songyu
 * @date 2021-12-03
 */
public interface IHsGiftOrderService extends IService<HsGiftOrder> {

    /**
     * 查询食堂订单列表
     *
     * @param hsGiftOrder 食堂订单
     * @return 食堂订单集合
     */
    List<HsGiftOrder> selectHsCanteenOrderList(HsGiftOrder hsGiftOrder);

    /**
     * 导出查询礼品订单集合
     *
     * @param hsGiftOrder
     * @return
     */
    List<HsGiftOrder> exportSelectGiftOrderList(HsGiftOrder hsGiftOrder);

    /**
     * 作废食堂订单
     *
     * @param hsGiftOrder
     * @return
     */
    AjaxResult getBack(HsGiftOrder hsGiftOrder);

    /**
     * 首页金额总额
     *
     * @param hsGiftOrder
     * @return
     */
    String getSumpay(HsGiftOrder hsGiftOrder);

    void checkOrderTotal(HsGiftOrder hsGiftOrder);

    /**
     * 近一月订单
     *
     * @param hsGiftOrder
     * @return
     */
    public List<HsGiftOrder> selectHsCanteenOrderLists(HsGiftOrder hsGiftOrder);

    /**
     * 首页订单总数
     * @param hsGiftOrder
     * @return
     */
    public String getSumOrderNum(HsGiftOrder hsGiftOrder);
}
